*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Manrope', sans-serif;
}
section{
    height: 100vh;
    display: flex;
    justify-content: center;
}
.container{
    max-width: 700px;
    width: 100%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    right: 0;
    left: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    box-shadow:6px 6px 5px hsla(0, 0%, 0%, 0.02),
    25px 25px 20px hsla(0, 0%, 0%, 0.03),
    100px 100px 80px hsla(0, 0%, 0%, 0.05);
}
.left{
    height: 90%;
    width: 50%;
}
.left img{
    height: 100%;
    width: 118%;
    padding-top: 5px;
    border-radius: 1rem 0 0 1rem;
}

.right{
    height: 90%;
    width: 70%;
    background-color: white;
    border-radius: 0 1rem 1rem 0;
    opacity: ;
}

.card_title{
    font-size: 1rem;
    color:hsl(217, 19%, 35%);
    font-weight: bolder;
    margin: 1rem 0 1rem 2rem;
    word-spacing: 6px;
    letter-spacing: 1px;
    white-space: pre-line;
}
.right .card_body{
    color:hsl(214, 17%, 51%);
    font-size: small;
    margin: 2rem 0 1rem 2rem;
}
.avatar{
    display: flex; 
    margin-top: 2rem;
    padding-left: 2rem;
}
.avatar_girl img{
    height: 3rem;
    border-radius: 100%;
}

.girl_info .name{
padding-left: 3rem;
}
.share .share_button{
    margin: 1rem 0 0 9rem;
    padding: 6px;
    border-radius: 100%;
    background: hsl(210, 46%, 95%);
    border: 1px solid hsl(210, 46%, 95%);
    text-align: center;
    align-items: center;

}

.avatar img .share_button{
    height: 3rem;
    padding-left: 6.5rem;
    height: 1.5rem;
}
.share{
    position: relative;
}
.share-options {
    --scale: 0;
    --translateX: -40%;
    --translateY: 0;
    background: hsl(217, 19%, 35%);
    position: absolute;
    bottom: calc(100% + 28px);
    left:  84%;
    transform: translate(var(--translateX), var(--translateY)) scale(var(--scale));
    display: flex;
    align-items: center;
    gap: 9px;
    padding: 8px 7px;
    border-radius: 10px;
    box-shadow: 0 5px 20px -5px #0003;
    transform-origin: bottom;
    visibility: hidden;
    transition: all 0.25s ease;
  }
  .share-options.active {
    --scale: 1;
    visibility: visible;
  }
  .share-options::after {
    content: '';
    background: hsl(217, 19%, 35%);
    width:  20px;
    height: 20px;
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-49%, -50%) rotate(45deg);
  }
  .share-options span {
    font-size: 11px;
    text-transform: uppercase;
    letter-spacing: 5px;
    color: hsl(212, 23%, 69%);
    margin-right: 5px;
  }
  .share-options ion-icon {
      font-size: 22px;
  }
  .share-options ion-icon:hover,
  .heading:hover,
  .name:hover {
      filter: invert(1);
  }

.avatar .share img .share_button{
    height: 1.5rem;
    margin: 1rem;
    margin-left: 9rem;
    cursor: pointer;
    border: 1px solid hsl(210, 46%, 95%);
    background-color:hsl(210, 46%, 95%);
}
.avatar .name{
    color:hsl(217, 19%, 35%);
    font-size: small;
    padding-left: 1rem;
}
.avatar .name span{
    font-size: smaller;
}

.avatar .date{
    color:hsl(212, 23%, 69%);
}

/* ----------------------------Media-Query----------------------------------- */

@media (min-width:300px) and (max-width: 767px){
.container{
    display: block;
    margin: 0;
    padding: 0;
}

.left{
    height: 100%;
    width: 100%;
}

.left img{
    height: 100%;
    width: 100%;
    border-radius: 1rem 1rem 0 0rem;
}

.right{
    height: 100%;
    width: 100%;
    background-color: white;
    border-radius: 0 0 1rem 1rem;
}

.card_title{
    font-size: .9rem;
    font-weight: 600;
    color:hsl(217, 19%, 35%);
    margin: 0 0 1rem 2rem;
    padding: 0;
    letter-spacing: normal;
    word-spacing: normal;
}

.right .card_body{
    color:hsl(214, 17%, 51%);
    font-size: small;
    margin: 0 2rem 0 2rem;
    padding: 0;
}

.avatar{
    display: flex; 
    margin-top: 1.5rem;
    padding: 0;
}

.avatar img{
    border-radius: 100%;
    height: 3rem;
    /* margin: 0 0 1rem 2rem; */
}

.avatar .share img{
    cursor: pointer;
    border: 1px solid hsl(210, 46%, 95%);
    background-color:hsl(210, 46%, 95%);
    margin-left: 4rem;
    padding: 0;
    height: 2rem;
}

.avatar .name{
    color:hsl(217, 19%, 35%);
    font-size: small;
    padding-left: 1rem;
}
.avatar .name span{
    font-size: smaller;
}

.avatar .date{
    color:hsl(212, 23%, 69%);
}
.share-options {
    --scale: 0;
    --translateX: -87%;
    --translateY: 0;
    background: hsl(217, 19%, 35%);
    position: absolute;
    bottom: calc(-48% + 28px);
    left:  128%;
    transform: translate(var(--translateX), var(--translateY)) scale(var(--scale));
    display: flex;
    align-items: center;
    gap: 9px;
    padding: 8px 7px;
    border-radius: 10px;
    box-shadow: 0 5px 20px -5px #0003;
    transform-origin: bottom;
    visibility: hidden;
    transition: all 0.25s ease;
  }

  .share-options::after {
    content:none;
    background: hsl(217, 19%, 35%);
    width:  20px;
    height: 20px;
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -60%) rotate(45deg);
  }
}

